@model IEnumerable<MyVod.Infrastructure.Models.Genre>

@{
    ViewBag.Title = "Genres";
    Layout = "_Layout";
}

<h2 class="page-header">Genres</h2>

<section class="single-movie-container">
    <section class="admin-button-wrapper">
        <a asp-area="admin" asp-controller="Genre" asp-action="create" class="btn btn-success">Add New</a>
    </section>

    <section>
        <ul class="list-group admin-list">
            @foreach (var genre in Model!)
            {
                <li>
                    @genre.Name
                    <div>
                        <a asp-area="admin" asp-controller="Genre" asp-action="edit" asp-route-id="@genre.Id" class="btn btn-primary">Edit</a>
                        <a asp-area="admin" asp-controller="Genre" asp-action="delete" asp-route-id="@genre.Id"  class="btn btn-danger">Delete</a>
                    </div>
                    
                </li>
            }
        </ul>
    </section>
</section>
